#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 deferred-folds
version:              0.9.17
visibility:           public
id:                   deferred-folds-0.9.17-EfSzXbt9bSRCEOTHErvq3R
key:                  deferred-folds-0.9.17-EfSzXbt9bSRCEOTHErvq3R
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
stability:            Experimental
homepage:             https://github.com/metrix-ai/deferred-folds
synopsis:             Abstractions over deferred folds
description:
    This library is in an experimental state.
    Users should be prepared for frequent updates.

category:             Folding
abi:                  80626f182d79c2867b6010c9b1de4b85
exposed:              True
exposed-modules:
    DeferredFolds.Unfoldl DeferredFolds.UnfoldlM DeferredFolds.Unfoldr

hidden-modules:
    DeferredFolds.Types DeferredFolds.UnfoldrM
    DeferredFolds.Defs.Unfoldl DeferredFolds.Defs.UnfoldlM
    DeferredFolds.Defs.Unfoldr DeferredFolds.Defs.UnfoldrM
    DeferredFolds.Prelude DeferredFolds.Util.TextArray

import-dirs:          /usr/lib/ghc-9.0.1/site-local/deferred-folds-0.9.17
library-dirs:         /usr/lib/ghc-9.0.1/site-local/deferred-folds-0.9.17
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/deferred-folds-0.9.17
hs-libraries:         HSdeferred-folds-0.9.17-EfSzXbt9bSRCEOTHErvq3R
depends:
    base-4.15.0.0 bytestring-0.10.12.1 containers-0.6.4.1
    foldl-1.4.12-IeQk6MqkTsZ74MC4DrS7ME
    hashable-1.3.3.0-Ob7F4bz7SrJSfcuDhkmwM
    primitive-0.7.2.0-DTPUl9Sg1wCEPhNK487zv2 text-1.2.4.1
    transformers-0.5.6.2
    unordered-containers-0.2.14.0-85xhml3fqIC6ZwgIEgRSE
    vector-0.12.3.1-1QSAcoQ4BjrEDZahKaKVTn

haddock-interfaces:
    /usr/share/doc/haskell-deferred-folds/html/deferred-folds.haddock

haddock-html:         /usr/share/doc/haskell-deferred-folds/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

